ormolu-0.8.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Printer.Meat.Type

Description

Rendering of types.

Synopsis

- p_hsType :: HsType GhcPs -> R ()
- hasDocStrings :: HsType GhcPs -> Bool
- p_hsContext :: HsContext GhcPs -> R ()
- p_hsContext' :: HasLoc (Anno a) => (a -> R ()) -> [XRec GhcPs a] -> R ()
- p_hsTyVarBndr :: IsTyVarBndrFlag flag => HsTyVarBndr flag GhcPs -> R ()
- data ForAllVisibility
  - = ForAllInvis
  - | ForAllVis
- p_forallBndrs :: HasLoc l => ForAllVisibility -> (a -> R ()) -> [GenLocated l a] -> R ()
- p_conDeclFields :: [LConDeclField GhcPs] -> R ()
- p_lhsTypeArg :: LHsTypeArg GhcPs -> R ()
- p_hsSigType :: HsSigType GhcPs -> R ()
- p_hsForAllTelescope :: HsForAllTelescope GhcPs -> R ()
- hsOuterTyVarBndrsToHsType :: HsOuterTyVarBndrs Specificity GhcPs -> LHsType GhcPs -> HsType GhcPs
- lhsTypeToSigType :: LHsType GhcPs -> LHsSigType GhcPs

# Documentation

p_hsType :: HsType GhcPs -> R () Source #

hasDocStrings :: HsType GhcPs -> Bool Source #

Return `True` if at least one argument in `HsType` has a doc string attached to it.

p_hsContext :: HsContext GhcPs -> R () Source #

p_hsContext' :: HasLoc (Anno a) => (a -> R ()) -> [XRec GhcPs a] -> R () Source #

p_hsTyVarBndr :: IsTyVarBndrFlag flag => HsTyVarBndr flag GhcPs -> R () Source #

data ForAllVisibility Source #

Constructors

ForAllInvis |
ForAllVis |

p_forallBndrs :: HasLoc l => ForAllVisibility -> (a -> R ()) -> [GenLocated l a] -> R () Source #

Render several `forall`-ed variables.

p_conDeclFields :: [LConDeclField GhcPs] -> R () Source #

p_lhsTypeArg :: LHsTypeArg GhcPs -> R () Source #

p_hsSigType :: HsSigType GhcPs -> R () Source #

p_hsForAllTelescope :: HsForAllTelescope GhcPs -> R () Source #

hsOuterTyVarBndrsToHsType :: HsOuterTyVarBndrs Specificity GhcPs -> LHsType GhcPs -> HsType GhcPs Source #

lhsTypeToSigType :: LHsType GhcPs -> LHsSigType GhcPs Source #